namedb_struct Struct Reference

`#include <namedb.h>`

## Data Fields

zone_type * | zone
ldns_rbtree_t * | domains
ldns_rbtree_t * | denials
uint32_t | inbserial
uint32_t | intserial
uint32_t | outserial
uint32_t | altserial
unsigned | is_initialized: 1
unsigned | serial_updated: 1
unsigned | force_serial: 1
unsigned | have_serial: 1

## Detailed Description

Domain name database.

Definition at line 49 of file namedb.h.

## Field Documentation

## altserial

uint32_t namedb_struct::altserial

Definition at line 56 of file namedb.h.

Referenced by namedb_create(), and namedb_update_serial().

## denials

ldns_rbtree_t* namedb_struct::denials

Definition at line 52 of file namedb.h.

Referenced by namedb_add_denial(), namedb_backup2(), namedb_cleanup_denials(), namedb_create(), namedb_del_denial(), namedb_init_denials(), namedb_lookup_denial(), namedb_nsecify(), and namedb_wipe_denial().

## domains

ldns_rbtree_t* namedb_struct::domains

Definition at line 51 of file namedb.h.

Referenced by namedb_add_domain(), namedb_backup2(), namedb_create(), namedb_del_domain(), namedb_diff(), namedb_domain_entize(), namedb_examine(), namedb_export(), namedb_lookup_domain(), and namedb_rollback().

## force_serial

unsigned namedb_struct::force_serial

Definition at line 59 of file namedb.h.

Referenced by namedb_create(), and namedb_update_serial().

## have_serial

unsigned namedb_struct::have_serial

Definition at line 60 of file namedb.h.

Referenced by namedb_create(), namedb_update_serial(), tools_output(), and zone_recover2().

## inbserial

uint32_t namedb_struct::inbserial

Definition at line 53 of file namedb.h.

Referenced by adapi_get_serial(), adapi_set_serial(), namedb_create(), namedb_update_serial(), zone_backup2(), zone_recover2(), and zone_update_serial().

## intserial

uint32_t namedb_struct::intserial

Definition at line 54 of file namedb.h.

Referenced by adapter_write(), namedb_create(), namedb_update_serial(), tools_output(), zone_backup2(), zone_recover2(), and zone_update_serial().

## is_initialized

unsigned namedb_struct::is_initialized

Definition at line 57 of file namedb.h.

Referenced by adapi_printixfr(), addns_write(), backup_read_ixfr(), namedb_create(), namedb_wipe_denial(), rrset_diff(), rrset_drop_rrsigs(), rrset_sign(), tools_output(), and zone_recover2().

## outserial

uint32_t namedb_struct::outserial

Definition at line 55 of file namedb.h.

Referenced by backup_read_ixfr(), namedb_create(), namedb_update_serial(), tools_output(), zone_backup2(), and zone_recover2().

## serial_updated

unsigned namedb_struct::serial_updated

Definition at line 58 of file namedb.h.

Referenced by namedb_create(), and zone_update_serial().

## zone

zone_type* namedb_struct::zone

Definition at line 50 of file namedb.h.

Referenced by namedb_add_denial(), namedb_add_domain(), namedb_cleanup(), namedb_create(), and namedb_wipe_denial().

The documentation for this struct was generated from the following file:

- src/signer/namedb.h